# Tanggal

[![pub package](https://img.shields.io/pub/v/tanggal.svg)](https://pub.dev/packages/tanggal) [![pub points](https://badges.bar/tanggal/pub%20points)](https://pub.dev/packages/tanggal/score) [![popularity](https://badges.bar/tanggal/popularity)](https://pub.dev/packages/tanggal/score) [![likes](https://badges.bar/tanggal/likes)](https://pub.dev/packages/tanggal/score)

## Require

- dart v2.14.3
- flutter v2.5.2

## Installation

```bash
dart pub add tanggal
```

or add this in pub spec.yaml

```bash
dependencies:
  tdl:
    git: https://github.com/azkadev/tanggal-dart
    ref: main
```

## Quick Start

```dart
import 'package:tanggal/tanggal.dart';

void main() {
  print(tanggal(1633698563 * 1000)); // or this print(tanggal(1633698563000));
  /*
        Result LOG
    {
        tahun: 2021, 
        bulan: Oktober, 
        no_bulan: 10, 
        tanggal: 8, 
        hari: Jum'at, 
        suasana: Malam, 
        jam: 20, 
        menit: 9, 
        detik: 23, 
        timestamp: 1633698563000
    }
  */
}
```

## Get Date Now 

```dart
print(tanggal(DateTime.now().millisecondsSinceEpoch));
```